# Uses of Class
org.mariadb.jdbc.internal.failover.FailoverProxy

Packages that use FailoverProxy
Package
Description
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.protocol

## Uses of FailoverProxy in org.mariadb.jdbc.internal.failover

Fields in org.mariadb.jdbc.internal.failover declared as FailoverProxy
Modifier and Type
Field
Description
`protected FailoverProxy`
AbstractMastersListener.`proxy`
Methods in org.mariadb.jdbc.internal.failover that return FailoverProxy
Modifier and Type
Method
Description
`FailoverProxy`
AbstractMastersListener.`getProxy()`
`FailoverProxy`
Listener.`getProxy()`
Methods in org.mariadb.jdbc.internal.failover with parameters of type FailoverProxy
Modifier and Type
Method
Description
`void`
AbstractMastersListener.`setProxy(FailoverProxy proxy)`
`void`
Listener.`setProxy(FailoverProxy proxy)`

## Uses of FailoverProxy in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as FailoverProxy
Modifier and Type
Field
Description
`protected FailoverProxy`
AbstractConnectProtocol.`proxy`
Methods in org.mariadb.jdbc.internal.protocol that return FailoverProxy
Modifier and Type
Method
Description
`FailoverProxy`
AbstractConnectProtocol.`getProxy()`
`FailoverProxy`
Protocol.`getProxy()`
Methods in org.mariadb.jdbc.internal.protocol with parameters of type FailoverProxy
Modifier and Type
Method
Description
`static AuroraProtocol`
AuroraProtocol.`getNewProtocol(FailoverProxy proxy, GlobalStateInfo globalInfo, UrlParser urlParser)`
Initialize new protocol instance.
`void`
AbstractConnectProtocol.`setProxy(FailoverProxy proxy)`
`void`
Protocol.`setProxy(FailoverProxy proxy)`